# $Revision: 1.38.2.27 $, $Date: 2008-02-19 23:26:32 $
#
# Conditional build:
%bcond_without	dist_kernel	# without distribution kernel
%bcond_without	up		# without up packages
%bcond_without	smp		# without smp packages
%bcond_without	kernel		# without kernel packages
%bcond_without	userspace	# don't build userspace programs
%bcond_with	verbose		# verbose build (V=1)

%if %{without kernel}
%undefine	with_dist_kernel
%endif
%if "%{_alt_kernel}" != "%{nil}"
%undefine	with_userspace
%endif

%define		_min_x11	6.7.0
#
%define		oldname 	X11-driver-nvidia
%define		pname	X11-driver-nvidia-legacy

Summary:	Linux Drivers for nVidia TNT/TNT2/GF/old GF2/Quadro Chips
Summary(pl):	Sterowniki do kart graficznych nVidia TNT/TNT2/GeForce/old GF2/Quadro
Name:		%{pname}%{_alt_kernel}
Version:	71.86.01
Release:	63
License:	nVidia Binary
Group:		X11
Source0:	http://download.nvidia.com/XFree86/Linux-x86/%{version}/NVIDIA-Linux-x86-%{version}-pkg1.run
# Source0-md5:	a4d0d1eb2841a59a4156122a1c08249a
Source1:	http://download.nvidia.com/XFree86/Linux-x86_64/%{version}/NVIDIA-Linux-x86_64-%{version}-pkg2.run
# Source1-md5:	bb273998a661ef5b481e5cd19cf64a3b
Source2:	%{oldname}-settings.desktop
Source3:	%{oldname}-xinitrc.sh
Patch0:		%{pname}-gcc34.patch
Patch1:		%{pname}-GL.patch
Patch2:		%{pname}-verbose.patch
URL:		http://www.nvidia.com/object/unix.html
%if %{with kernel}
BuildRequires:	%{kgcc_package}
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.7}
BuildRequires:	rpmbuild(macros) >= 1.330
%endif
BuildRequires:	sed >= 4.0
BuildConflicts:	XFree86-nvidia
Requires:	X11-Xserver
Requires:	X11-libs >= %{_min_x11}
Requires:	X11-modules >= %{_min_x11}
Provides:	X11-OpenGL-core
Provides:	X11-OpenGL-libGL
Provides:	XFree86-OpenGL-core
Provides:	XFree86-OpenGL-libGL
Obsoletes:	%{oldname} < 1.0.7174
Obsoletes:	Mesa
Obsoletes:	Mesa-libGL
Obsoletes:	X11-OpenGL-core
Obsoletes:	X11-OpenGL-libGL
Obsoletes:	XFree86-OpenGL-core
Obsoletes:	XFree86-OpenGL-libGL
Obsoletes:	XFree86-driver-nvidia
Obsoletes:	XFree86-nvidia
Conflicts:	XFree86-OpenGL-devel <= 4.2.0-3
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLcore.so.1
%define		_prefix		/usr/X11R6
%ifarch %{x8664}
%define		_libdir32	%{_prefix}/lib
%endif

%description
This driver set adds improved 2D functionality to the Xorg X server as
well as high performance OpenGL acceleration, AGP support, support for
most flat panels, and multiple monitor support.

Hardware: nVidia TNT, TNT2, GeForce, old GeForce2 or Quadro based
graphics accelerator. New GeForce2, GeForce3 and GeForce4 adapters are
supported by X11-driver-nvidia package. The nVidia NV1 and RIVA
128/128ZX chips are supported in the base Xorg or XFree86 install and
are not supported by this driver set.

%description -l pl
Usprawnione sterowniki dla kart graficznych nVidia do serwera X dajce
wysokowydajn akceleracj OpenGL, obsug AGP i wiele monitorw.

Obsuguj karty nVidia TNT/TNT2/GeForce/stare GeForce2/Quadro do
serwera Xorg. Dla kart GF2 (nowych), GF3 i GF4 jest pakiet
X11-driver-nvidia. Karty nVidia NV1 i Riva 128/128ZX s obsugiwane
przez sterownik nv z pakietw Xorg lub XFree86 - NIE s obsugiwane
przez ten pakiet.

%package devel
Summary:	OpenGL for X11R6 development (only gl?.h)
Summary(pl):	Pliki nagwkowe OpenGL dla systemu X11R6 (tylko gl?.h)
Group:		X11/Development/Libraries
Requires:	%{pname} = %{version}-%{release}
Provides:	OpenGL-devel-base
Obsoletes:	%{oldname}-devel < 1.0.7174
Obsoletes:	OpenGL-devel-base
Obsoletes:	XFree86-driver-nvidia-devel
Conflicts:	%{oldname}-devel
Conflicts:	XFree86-OpenGL-devel < 4.3.99.902-0.3

%description devel
Base headers (only gl?.h) for OpenGL for X11R6 for nvidia drivers.

%description devel -l pl
Podstawowe pliki nagwkowe (tylko gl?.h) OpenGL dla systemu X11R6 dla
sterownikw nvidii.

%package progs
Summary:	Tools for advanced control of nVidia graphic cards
Summary(pl):	Narzdzia do zarzdzania kartami graficznymi nVidia
Group:		Applications/System
Requires:	%{pname} = %{version}-%{release}
Obsoletes:	%{oldname}-progs < 1.0.7174
Obsoletes:	XFree86-driver-nvidia-progs
Conflicts:	%{oldname}-progs

%description progs
Tools for advanced control of nVidia graphic cards.

%description progs -l pl
Narzdzia do zarzdzania kartami graficznymi nVidia.

%package -n kernel%{_alt_kernel}-video-nvidia-legacy
Summary:	nVidia kernel module for nVidia Architecture support
Summary(de):	Das nVidia-Kern-Modul fr die nVidia-Architektur-Untersttzung
Summary(pl):	Modu jdra dla obsugi kart graficznych nVidia
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
Requires:	dev >= 2.7.7-10
%{?with_dist_kernel:Requires:	kernel%{_alt_kernel}(vermagic) = %{_kernel_ver}}
Provides:	X11-driver-nvidia(kernel)
Obsoletes:	XFree86-nvidia-kernel
Obsoletes:	kernel%{_alt_kernel}-video-nvidia < 1.0.7174
Conflicts:	kernel%{_alt_kernel}-video-nvidia

%description -n kernel%{_alt_kernel}-video-nvidia-legacy
nVidia Architecture support for Linux kernel.

%description -n kernel%{_alt_kernel}-video-nvidia-legacy -l de
Die nVidia-Architektur-Untersttzung fr den Linux-Kern.

%description -n kernel%{_alt_kernel}-video-nvidia-legacy -l pl
Obsuga architektury nVidia dla jdra Linuksa. Pakiet wymagany przez
sterownik nVidii dla Xorg/XFree86.

%package -n kernel%{_alt_kernel}-smp-video-nvidia-legacy
Summary:	nVidia kernel module for nVidia Architecture support
Summary(de):	Das nVidia-Kern-Modul fr die nVidia-Architektur-Untersttzung
Summary(pl):	Modu jdra dla obsugi kart graficznych nVidia
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
Requires:	dev >= 2.7.7-10
%{?with_dist_kernel:Requires:	kernel%{_alt_kernel}-smp(vermagic) = %{_kernel_ver}}
Provides:	X11-driver-nvidia(kernel)
Obsoletes:	XFree86-nvidia-kernel
Obsoletes:	kernel%{_alt_kernel}-smp-video-nvidia < 1.0.7174
Conflicts:	kernel%{_alt_kernel}-smp-video-nvidia

%description -n kernel%{_alt_kernel}-smp-video-nvidia-legacy
nVidia Architecture support for Linux kernel SMP.

%description -n kernel%{_alt_kernel}-smp-video-nvidia-legacy -l de
Die nVidia-Architektur-Untersttzung fr den Linux-Kern SMP.

%description -n kernel%{_alt_kernel}-smp-video-nvidia-legacy -l pl
Obsuga architektury nVidia dla jdra Linuksa SMP. Pakiet wymagany
przez sterownik nVidii dla Xorg/XFree86.

%prep
cd %{_builddir}
rm -rf NVIDIA-Linux-x86*-%{version}-pkg*
%ifarch %{ix86}
/bin/sh %{SOURCE0} --extract-only
%setup -qDT -n NVIDIA-Linux-x86-%{version}-pkg1
%else
/bin/sh %{SOURCE1} --extract-only
%setup -qDT -n NVIDIA-Linux-x86_64-%{version}-pkg2
%endif
%patch0 -p1
%patch1 -p1
%if %{with verbose}
%patch2 -p0
%endif
sed -i 's:-Wpointer-arith::' usr/src/nv/Makefile.kbuild

%build
%if %{with kernel}
cd usr/src/nv/
ln -sf Makefile.kbuild Makefile
cat >> Makefile <<'EOF'

$(obj)/nv-kernel.o: $(src)/nv-kernel.o.bin
	cp $< $@
EOF
mv nv-kernel.o{,.bin}
%build_kernel_modules -m nvidia
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with userspace}
install -d $RPM_BUILD_ROOT%{_libdir}/modules/{drivers,extensions} \
	$RPM_BUILD_ROOT{/usr/include/GL,/usr/%{_lib}/tls,%{_bindir}} \
	$RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir},/etc/X11/xinit/xinitrc.d}

ln -sf $RPM_BUILD_ROOT%{_libdir} $RPM_BUILD_ROOT%{_prefix}/../lib

install usr/bin/nvidia-settings $RPM_BUILD_ROOT%{_bindir}
install usr/share/pixmaps/nvidia-settings.png $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}/nvidia-settings.desktop
install %{SOURCE3} $RPM_BUILD_ROOT/etc/X11/xinit/xinitrc.d/nvidia-settings.sh
install usr/lib/libnvidia-tls.so.%{version} $RPM_BUILD_ROOT/usr/%{_lib}
install usr/lib/tls/libnvidia-tls.so.%{version} $RPM_BUILD_ROOT/usr/%{_lib}/tls
install usr/lib/libGL{,core}.so.%{version} $RPM_BUILD_ROOT%{_libdir}
install usr/X11R6/lib/modules/extensions/libglx.so.%{version} \
	$RPM_BUILD_ROOT%{_libdir}/modules/extensions

install usr/X11R6/lib/modules/drivers/nvidia_drv.o $RPM_BUILD_ROOT%{_libdir}/modules/drivers
install usr/X11R6/lib/libXvMCNVIDIA.so.%{version} $RPM_BUILD_ROOT%{_libdir}
install usr/X11R6/lib/libXvMCNVIDIA.a $RPM_BUILD_ROOT%{_libdir}
install usr/include/GL/*.h	$RPM_BUILD_ROOT/usr/include/GL

ln -sf libGL.so.1 $RPM_BUILD_ROOT%{_libdir}/libGL.so
ln -sf libglx.so.%{version} $RPM_BUILD_ROOT%{_libdir}/modules/extensions/libglx.so
ln -sf libXvMCNVIDIA.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libXvMCNVIDIA.so

# OpenGL ABI for Linux compatibility
ln -sf %{_libdir}/libGL.so.1 $RPM_BUILD_ROOT/usr/%{_lib}/libGL.so.1
ln -sf %{_libdir}/libGL.so $RPM_BUILD_ROOT/usr/%{_lib}/libGL.so
%endif

%if %{with kernel}
%install_kernel_modules -m usr/src/nv/nvidia -d misc
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
cat << EOF

 *******************************************************
 *                                                     *
 *  NOTE:                                              *
 *  You must install:                                  *
 *  kernel(24)(-smp)-video-nvidia-legacy-%{version}             *
 *  for this driver to work                            *
 *                                                     *
 *******************************************************

EOF

%postun	-p /sbin/ldconfig

%post	-n kernel%{_alt_kernel}-video-nvidia-legacy
%depmod %{_kernel_ver}

%postun	-n kernel%{_alt_kernel}-video-nvidia-legacy
%depmod %{_kernel_ver}

%post	-n kernel%{_alt_kernel}-smp-video-nvidia-legacy
%depmod %{_kernel_ver}smp

%postun	-n kernel%{_alt_kernel}-smp-video-nvidia-legacy
%depmod %{_kernel_ver}smp

%if %{with userspace}
%files
%defattr(644,root,root,755)
%doc LICENSE
%doc usr/share/doc/{README,NVIDIA_Changelog,XF86Config.sample}
%attr(755,root,root) %{_libdir}/libGL.so.*.*
%attr(755,root,root) %{_libdir}/libGL.so
%attr(755,root,root) %{_libdir}/libGLcore.so.*.*
%attr(755,root,root) %{_libdir}/libXvMCNVIDIA.so.*.*
%dir /usr/%{_lib}/tls
%attr(755,root,root) /usr/%{_lib}/libnvidia-tls.so.*.*.*
%attr(755,root,root) /usr/%{_lib}/tls/libnvidia-tls.so.*.*.*
%attr(755,root,root) /usr/%{_lib}/libGL.so.1
%attr(755,root,root) /usr/%{_lib}/libGL.so
%attr(755,root,root) %{_libdir}/modules/extensions/libglx.so*
%attr(755,root,root) %{_libdir}/modules/drivers/nvidia_drv.o
%endif

%if %{with kernel}
%files -n kernel%{_alt_kernel}-video-nvidia-legacy
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/misc/*.ko*

%if %{with smp} && %{with dist_kernel}
%files -n kernel%{_alt_kernel}-smp-video-nvidia-legacy
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}smp/misc/*.ko*
%endif
%endif

%if %{with userspace}
%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXvMCNVIDIA.so
/usr/include/GL/*.h
%{_libdir}/libXvMCNVIDIA.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nvidia-settings
%attr(755,root,root) /etc/X11/xinit/xinitrc.d/*.sh
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: X11-driver-nvidia-legacy.spec,v $
Revision 1.38.2.27  2008-02-19 23:26:32  glen
- release 63

Revision 1.38.2.26  2008-02-15 01:29:33  glen
- use kernel vermagic in deps

Revision 1.38.2.25  2008-02-12 11:01:11  glen
- release 61 (kernel-2.6.16.60-4)

Revision 1.38.2.24  2008-01-28 09:33:20  glen
- rel 60 (kernel-2.6.16.60-1)

Revision 1.38.2.23  2008-01-21 08:28:14  glen
- rel 59 (2.6.16.59-2)

Revision 1.38.2.22  2008-01-18 12:26:08  glen
- rel 58 (2.6.16.58-1)

Revision 1.38.2.21  2007/11/06 18:28:31  glen
- rel 57 (2.6.16.57-1)

Revision 1.38.2.20  2007/11/04 20:22:05  glen
- prefix src package with alt kernel if present

Revision 1.38.2.19  2007/11/01 08:24:18  adamg
- release 56 (rebuild against 2.6.16.56-1)

Revision 1.38.2.18  2007/10/22 20:41:53  glen
- disable userspace for alt kernel

Revision 1.38.2.17  2007/10/22 20:24:59  glen
- unify kernel macros

Revision 1.38.2.16  2007/10/20 11:53:56  hawk
- updated URL

Revision 1.38.2.15  2007/10/20 11:52:22  hawk
- merged userspace bcond from X11-driver-nvidia.spec, cleanup

Revision 1.38.2.14  2007/10/18 12:34:33  hawk
- updated to 71.86.01

Revision 1.38.2.13  2007/10/15 08:26:44  glen
- rel 55 (kernel 2.6.16.55)

Revision 1.38.2.12  2007/10/15 08:21:38  glen
- rel drbd.spec (2.6.16.55)

Revision 1.38.2.11  2007/10/01 21:25:45  glen
- rel 54

Revision 1.38.2.10  2007/09/30 22:17:50  adamg
- release 53.1 (rebuild against 2.6.16.53-2)

Revision 1.38.2.9  2007/09/05 19:30:12  glen
- rel 53 (kernel 2.6.16.53)

Revision 1.38.2.8  2007/06/16 20:03:19  hawk
- updated to 1.0.7185

Revision 1.38.2.7  2007/06/04 08:09:08  glen
- rel 52 (2.6.16.52)

Revision 1.38.2.6  2007/05/11 06:38:50  glen
- rel 51 (2.6.16.51)

Revision 1.38.2.5  2007/05/08 12:10:09  glen
- rel 50 (kernel 2.6.16.50)

Revision 1.38.2.4  2007/04/25 22:11:44  glen
- rel 7 (kernel 2.6.16.49)

Revision 1.38.2.3  2007/04/09 17:09:44  shadzik
- O: Mesa-libGL
- rel 6
- STBR

Revision 1.38.2.2  2007/03/27 22:17:58  glen
- rel 5 (kernel 2.6.16.45)

Revision 1.38.2.1  2007/03/14 00:04:01  glen
- rel 4

Revision 1.38  2007/01/23 18:36:43  hawk
- release 3

Revision 1.37  2006/12/08 15:28:43  hawk
- workaround for builder automation to allow building against
  kernel-grsecurity (via bcond)
- release 2

Revision 1.36  2006/11/14 20:13:34  sparky
- BR: rpmbuild(macros) >= 1.330, for fixed %build_kernel_modules macro

Revision 1.35  2006/11/13 19:04:11  sparky
- save binary nv-kernel.o file

Revision 1.34  2006/11/13 17:13:03  sparky
- %{_alt_kernel} support

Revision 1.33  2006/11/13 12:20:58  sparky
- increase rpmbuild(macros) BR

Revision 1.32  2006/11/13 12:19:56  sparky
- use %build_kernel_modules, %install_kernel_modules (not tested)

Revision 1.31  2006/11/07 22:21:10  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.30  2006/10/11 11:47:49  hawk
- update to 7184
- killed duplicate "install -d"
- do clean up before compiling anything, otherwise UP module gets SMP vermagic

Revision 1.29  2006/07/22 19:03:04  havner
- merge X11-driver-nvidia changes
- rel 3

Revision 1.28  2006/07/02 15:30:19  hawk
- release 2

Revision 1.27  2006/07/01 10:21:28  qboosh
- updated gcc34 patch, removed obsolete conftest,build-fix patches
- make -j1 for prepare+scripts - builds now

Revision 1.26  2006/06/29 19:20:01  shadzik
- removed obsolete 7174 patches; updated verbose.patch
- rel 1

Revision 1.25  2006/06/29 18:42:12  shadzik
- up to 7182; all those 7174 patches are obsolete as i noticed from the changelog,
  i also guess that this -gcc34.patch and -build-fix.patch are obsolete too so i'd
  rather commeted them out than delete them (TODO: delete them), still -verbose.patch
  needs to be updated, otherwise --with verbose fails build
- rel 0.1, because of the above

Revision 1.24  2006/04/12 12:15:40  glen
- add kernel epoch, adapterized

Revision 1.23  2006/03/17 22:06:35  glen
- rel 8

Revision 1.22  2006/03/14 18:12:24  hawk
- release 7

Revision 1.21  2006/03/14 17:56:51  hawk
- make it build

Revision 1.20  2006/03/03 22:13:30  hawk
- fixed release numbering

Revision 1.19  2006/03/03 17:21:14  hawk
- added bugfixes from http://www.nvnews.net/vbulletin/showthread.php?t=50150
  and http://www.nvnews.net/vbulletin/showthread.php?p=717551
- small cleanup

Revision 1.18  2006/03/03 01:20:30  wolvverine
- changes from X11-driver-nvidia.spec

Revision 1.17  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.16  2006/02/26 16:52:28  qboosh
- unconditional patches list

Revision 1.15  2006/02/26 16:32:36  wolvverine
- add very verbose patch

Revision 1.14  2006/02/11 14:11:32  arekm
- new build way

Revision 1.13  2006/01/26 10:07:53  arekm
- rel 5

Revision 1.12  2006/01/13 15:07:45  mmazur
- rel 4

Revision 1.11  2005/09/15 18:25:04  sparky
- prepared for kernel >= 2.6.13: link Module.symvers

Revision 1.10  2005/09/13 13:00:18  qboosh
- removed XFree86 from Group

Revision 1.9  2005/09/13 12:55:30  qboosh
- cleanups, descs sync

Revision 1.8  2005/09/11 19:47:03  wolvverine
- correct
- STBR

Revision 1.7  2005/09/11 17:49:19  wolvverine
- correct O

Revision 1.6  2005/09/11 17:43:13  wolvverine
- correct commitlogs
- description

Revision 1.5  2005/09/11 17:35:26  wolvverine
- add O: and C:

Revision 1.4  2005/09/11 17:13:39  wolvverine
- more

Revision 1.3  2005/09/11 16:47:34  wolvverine
- correct for new package name

Revision 1.2  2005/09/11 16:34:17  wolvverine
- correct

Revision 1.1  2005/09/11 16:10:48  wolvverine
- moved from X11-driver-nvidia tagged as 'nvidia-7174'

Revision 1.48  2005/06/29 07:02:06  glen
- rel 3 (to rebuild without modutils)
- STBR

Revision 1.47  2005/06/09 13:29:51  qboosh
- removed modutils deps (bogus; module-init-tools already caught through /sbin/depmod)

Revision 1.46  2005/06/01 01:29:09  ankry
- rel. 2

Revision 1.45  2005/05/11 13:17:29  qboosh
- use x8664 macro

Revision 1.44  2005/04/07 10:13:47  mkierus
- updated to 1.0.7174

Revision 1.43  2005/04/03 22:34:56  saq
- rel 2 for rebuild with kernel 2.6.11.6-4

Revision 1.42  2005/03/29 21:19:35  saq
- defattr unification

Revision 1.41  2005/03/12 11:46:50  sparky
- updated to 1.0-7167
- all 6629 patches obsoleted
- added 2 new
- rel 1, builds and works

Revision 1.40  2005/01/25 14:48:52  pluto
- patchset updated.
- release 4.

Revision 1.39  2005/01/05 22:20:24  havner
- tls dir added

Revision 1.38  2005/01/05 21:52:37  havner
- removed tls bcond, both versions coexist in one package
- non tls version is probably to be removed cause tls one works on 2.4 too
- rel 3

Revision 1.37  2005/01/03 18:47:13  pluto
- post 2.6.10 patchset.
- release 2.

Revision 1.36  2004/12/29 23:28:17  pluto
- bcond_with nptl added (implies with_tls).

Revision 1.35  2004/11/18 19:04:18  havner
- rel 1, works ok

Revision 1.34  2004/11/18 18:52:24  havner
- final fix by Przemysaw Biaek
- builds

Revision 1.32  2004/11/11 15:46:59  havner
- removed patches 2 and 3, seems to be obsolete
- doesn't build, is it for >= 2.6.9? could somebody look at this?

Revision 1.31  2004/11/11 03:21:41  havner
- 6629, NFY, will finish tommorow

Revision 1.30  2004/11/10 10:56:13  gotar
- don't build kernel module if --without kernel

Revision 1.29  2004/11/10 09:37:19  gotar
- added missing header

Revision 1.28  2004/10/31 13:31:27  paladine
- spaces->tabs

Revision 1.27  2004/10/27 16:39:58  pluto
- fixes for changes in pci subsystem and power mgt. [2.6.9/2.6.10].

Revision 1.26  2004/10/26 20:24:57  pluto
- SourceX-size added.

Revision 1.25  2004/10/08 20:51:01  adamg
- release 5 (rebuild for kernel-2.6.8-3.2)

Revision 1.24  2004/09/29 07:49:26  grzegorz
- reverting last change

Revision 1.23  2004/09/28 07:31:44  grzegorz
- build requires kernel-source

Revision 1.22  2004/09/21 19:54:46  havner
- rel 4 for rebuild

Revision 1.21  2004/09/14 21:29:53  gotar
- so shameful;/

Revision 1.20  2004/09/13 11:38:10  djurban
- make it build quake1, should be stbred to ac, but i guess this can wait after th X11 upgrade

Revision 1.19  2004/08/22 02:54:03  havner
- prettier banner

Revision 1.18  2004/08/21 13:51:38  havner
- rel 2

Revision 1.17  2004/08/20 12:21:41  gotar
- fixed banner

Revision 1.16  2004/08/08 17:12:20  gotar
- fixed group for progs subpackage

Revision 1.15  2004/08/05 20:48:02  havner
- update to 6111

Revision 1.14  2004/07/29 22:15:41  havner
- removed senseless provides
- oboletes for progs package

Revision 1.13  2004/07/29 22:00:13  havner
- without kernel bcond
- rel 3
- provides updated

Revision 1.12  2004/07/23 13:04:56  pluto
- scripts fixed (thx Micha ukaszek <prism#hornet#eu#org>).

Revision 1.11  2004/07/21 17:48:20  havner
- removed R: kernel-video-nvidia
- added post message about this
- rel 2

Revision 1.10  2004/07/04 20:42:32  qboosh
- libdir32 is just prefix/lib on amd64

Revision 1.9  2004/07/04 20:40:02  pluto
- amd64 parts...

Revision 1.8  2004/07/04 01:19:24  pluto
- `-Wpointer-arith' killed.

Revision 1.7  2004/07/03 18:36:56  pluto
- make clean/modules separated for parallel build.
- log fixed.

Revision 1.6  2004/07/03 16:54:24  pluto
- updated to 1.0-6106.

Revision 1.5  2004/07/01 17:05:46  qboosh
- fixed _noautoreqdep (it must be SONAME, not filename)

Revision 1.4  2004/07/01 15:49:04  havner
- provides/obsoletes...

Revision 1.3  2004/07/01 15:33:05  havner
- define _min_x11
- cosmetics

Revision 1.2  2004/06/30 09:53:22  pluto
- R:,O:,P: fixed (I hope).

Revision 1.1  2004/06/30 07:36:25  pluto
- renamed, NFY...

Revision 1.56  2004/06/02 18:25:09  pluto
- BR: fixed.

Revision 1.55  2004/05/29 11:16:30  pluto
- minor build fixes.
- release 3.

Revision 1.54  2004/05/21 11:36:02  pluto
- 2.6.6 complaint.

Revision 1.53  2004/04/17 14:52:21  saq
- typo

Revision 1.52  2004/04/08 17:17:42  pluto
- R: fixed (s/nvidia-kernel-module/XFree86-nvidia-kernel/)

Revision 1.51  2004/04/08 10:51:52  pluto
- merged with kernel-video-nvidia.
- %build complaint with 2.6.x.

Revision 1.50  2004/04/03 22:33:26  gotar
- s/glibc-tls/glibc(tls)/

Revision 1.49  2004/04/03 12:42:33  gotar
- built with tls support requires this feature in glibc

Revision 1.48  2004/02/10 15:54:22  qboosh
- Linux OpenGL ABI compliance; moved static lib from base to -devel
- release 2

Revision 1.47  2004/01/28 21:09:59  grzegol
- updated to 1.0-5336

Revision 1.46  2004/01/11 13:16:37  grzegol
- added with_tls bcond (for glibc built with tls support)
- rel. 2

Revision 1.45  2003/12/28 18:13:45  adgor
- Fixed source url
- Standarized macros

Revision 1.44  2003/12/28 17:45:37  adgor
- Updated to 1.0.5328
- Settings tool is unavailable in this version
- Fixed "Conflicts" entry for devel subpkg

Revision 1.43  2003/12/17 20:12:34  grzegol
- updated to 1.0-4620 and added -progs subpackage (by Wieslaw Kierbedz
  <WieslawKierbedz@farba.eu.org>

Revision 1.42  2003/11/09 23:06:31  gotar
- Obsoletes: XFree86-OpenGL-libGL

Revision 1.41  2003/08/27 00:16:31  gotar
- fixed changelog trailer

Revision 1.40  2003/08/02 10:43:33  grzegol
- added URL
- cosmetics

Revision 1.39  2003/07/28 22:50:26  grzegol
- updated to 1.0-4496
- cosmetics

Revision 1.38  2003/07/06 23:27:15  blues
- many small fixes, mostly inpired by kloczek

Revision 1.37  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.36  2003/05/25 05:45:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.35  2003/04/25 11:59:45  wiget
- updated to 1.0-4363

Revision 1.34  2003/04/08 19:04:30  djurban
- added OpenGL-devel-base

Revision 1.33  2003/04/01 19:39:53  wolf
- 4349
- XFree driver and kernel module now in one package
- moved libGL.so to /usr/lib
- you want kernel module, you do it

Revision 1.32  2002/12/12 14:37:53  baggins
- updated to 1.0-4191

Revision 1.31  2002/11/30 23:35:51  gotar
- s/appnkldir/applnkdir/ (what for these defines are?)

Revision 1.30  2002/09/13 09:21:17  wiget
- 1.0.3123

Revision 1.29  2002/05/31 20:52:23  filon
- added missing files (docs and libXvNVIDIA.a)
- new %doc

Revision 1.28  2002/05/29 07:40:32  wiget
- revert last change and add Conflicts: XFree86-OpenGL-devel <= 4.2.0-3

Revision 1.26  2002/05/23 16:35:13  wiget
- 2960

Revision 1.25  2002/05/17 09:07:18  wiget
- move libGL.so to main package, release 2

Revision 1.24  2002/04/08 16:50:23  wiget
- start update to 2880

Revision 1.23  2002/03/11 01:50:59  jack
- Updated to 2802

Revision 1.22  2002/02/22 23:28:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/01/18 02:12:15  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.20  2002/01/03 23:03:20  gotar
- s/NVIDIA/nVidia/

Revision 1.19  2001/12/28 17:15:53  gotar
- changes in descriptions.

Revision 1.18  2001/12/18 19:51:17  gotar
- according to 2.1.2 Linux Exception of NVIDIA Software License it's
  legal to copy and redistibute files... I think so...

Revision 1.17  2001/12/13 08:42:51  gotar
- fixed building source packages w/o illegal sources.

Revision 1.16  2001/12/10 02:20:50  gotar
- made not to get sources and build without license agreement,
- release 2.

Revision 1.15  2001/11/29 15:34:53  misiek
- updated to 2313

Revision 1.14  2001/11/22 10:14:55  qboosh
- s/Copyright/License/; improved pl description

Revision 1.13  2001/11/14 23:39:31  misiek
- added Obsoletes: XFree86-OpenGL-core

Revision 1.12  2001/10/21 23:42:41  undefine
- adapterized to new kernel's driver name.

Revision 1.11  2001/09/20 08:02:09  filon
- really fixed source0

Revision 1.10  2001/09/20 07:53:58  filon
- updated to 1.0-1541
- new source adress

Revision 1.9  2001/09/05 09:25:11  filon
- ver 1.0-1512

Revision 1.8  2001/07/18 03:20:04  kloczek
- spec adapterized.

Revision 1.7  2001/06/02 14:51:05  klakier
- typo

Revision 1.6  2001/05/18 14:37:58  misiek
- updated to 1.0 1251

Revision 1.5  2001/04/29 13:21:34  mkochano
- Updated to 0.9.769.

Revision 1.4  2001/04/10 21:06:11  saq
- s/MVidia/NVidia
- adapterized

Revision 1.3  2001/03/14 19:14:20  mkochano
- Updated to 0.9.767.

Revision 1.2  2001/02/15 23:01:12  kloczek
- added XFree86-Xserver to Requires.

Revision 1.1  2001/02/15 22:50:18  misiek
- renamed

Revision 1.8  2001/01/19 07:44:23  mkochano
- Updated to 0.9.6.

Revision 1.7  2000/12/24 17:08:35  waszi
- typo

Revision 1.6  2000/10/10 18:51:29  saq
- Requires: %{name}-kernel

Revision 1.5  2000/09/12 15:53:12  kloczek
- adapterized.

Revision 1.4  2000/09/12 13:56:38  baggins
- updated to 0.95

Revision 1.3  2000/07/18 13:29:45  baggins
- updated to 0.9-4 and XFree 4.0.1

Revision 1.2  2000/07/11 13:30:54  baggins
- release 2
- removed Mesa sources and libGLU (now in XFree86-OpenGL-libs)

Revision 1.1  2000/06/26 17:32:05  baggins
- new, written from scratch
